<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<table class="table table-hover">
    <!--<caption>Optional table caption.</caption>-->
    <thead>
    <tr>
        <th width="1"></th>
        <th width="10%">Étape</th>
        <th>Filtres</th>
    </tr>
    </thead>
    <tbody>
    <tr ng-repeat="step in xpathObj.steps">
        <th scope="row">{{ $index+1 }}</th>
        <td>{{ step.mainXPath() }}</td>
        <td>
            <span ng-repeat="(key,predicate) in step.predicates"><!--
            --><a href="" class="label label-primary" ng-click="edit(step,key)">{{ predicate.toXPath() }}</a>&nbsp;<!--
            --></span><!--
            --><a href="" class="label label-default" ng-click="add(step)">+</a>
        </td>
    </tr>
    </tbody>
</table>